exercise_05_20: exercise_05_20.o | .gitignore
	g++ $^ -o $@ 
exercise_05_20.ii: exercise_05_20.cpp
	g++ -E $^ -o $@
exercise_05_20.s: exercise_05_20.ii
	g++ -S $^ -o $@
exercise_05_20.o: exercise_05_20.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_05_20" > $@
clean:
	rm -rf *.ii *.s *.o exercise_05_20 .gitignore *.out debug
test1: exercise_05_20 
	@./exercise_05_20 > test1.out
	@diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_05_20.ii exercise_05_20.s
.SECONDARY: exercise_05_20.ii exercise_05_20.s

dbg: debug/exercise_05_20
debug/exercise_05_20: debug/exercise_05_20.o
	g++     -Wall -Wextra -Werror -g3 debug/exercise_05_20.o     -o debug/DecisionMaking
debug/exercise_05_20.o: debug/exercise_05_20.s
	g++ -c -Wall -Wextra -Werror -g3 debug/exercise_05_20.s     -o debug/exercise_05_20.o
debug/exercise_05_20.s: debug/exercise_05_20.ii
	g++ -S -Wall -Wextra -Werror -g3 debug/exercise_05_20.ii     -o debug/exercise_05_20.s
debug/exercise_05_20.ii: exercise_05_20.cpp
	g++ -E -Wall -Wextra -Werror -g3            exercise_05_20.cpp -o debug/exercise_05_20.ii
debug/exercise_05_20.ii: | debug
debug:
	mkdir -p debug

